storm-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andrew Montalenti <and...@parsely.com>
Subject Re: [SURVEY] What version of Storm are you using?
Date Thu, 18 Aug 2016 01:07:37 GMT
Erik, re: this issue, "blocked by us dealing with mysterious Storm Worker
process heartbeat failures", do you have any topo's @ Groupon using
ShellSpout (multi-lang)?

If so, the patch/resolution in STORM-1928 (released in 1.0.2, see JIRA for
details) may be helpful.

On Aug 17, 2016 6:07 PM, "Jungtaek Lim" <kabhwan@gmail.com> wrote:

> Side note for users waiting stable version of 1.x: 1.0.2 is worth to try
> out since it's well tested, and fixes various critical bugs users met.
>
> - Jungtaek Lim (HeartSaVioR)
>
> 2016년 8월 18일 (목) 오전 6:58, Erik Weathers <eweathers@groupon.com>님이
작성:
>
>> Groupon is using 0.9.6.
>>
>> Switching to 0.10.0 or 1.0+ will take us more time largely because of the
>> "logback to log4j 2" change in 0.10.  We have a bunch of internal teams
>> using a library for logging which is based on logback, and it's definitely
>> going to be herding cats to get them to upgrade their topologies.
>>
>> We are also responsible for the storm-mesos framework, which we will
>> hopefully come back to adding support for 1.0+ next month on.   Spending
>> time on that is currently blocked by us dealing with mysterious Storm
>> Worker process heartbeat failures.
>>
>> - Erik
>>
>> On Wed, Aug 17, 2016 at 2:47 PM, Joaquin Menchaca <jmenchaca@gobalto.com>
>> wrote:
>>
>>> 0.10.0
>>>
>>
>>

Mime
View raw message